defineObject{
	name = "combat_test_monster",
	placement = "floor",
	components = {
		{
			class = "Model",
			model = "assets/models/monsters/snail.fbx",
			storeSourceData = true, -- must be enabled for mesh particles to work
		},
		{
			class = "Animation",
			animations = {
				idle = "assets/animations/monsters/snail/snail_idle.fbx",
				moveForward = "assets/animations/monsters/snail/snail_walk.fbx",
				turnLeft = "assets/animations/monsters/snail/snail_turn_left.fbx",
				turnRight = "assets/animations/monsters/snail/snail_turn_right.fbx",
				attack = "assets/animations/monsters/snail/snail_attack.fbx",
				getHitFrontLeft = "assets/animations/monsters/snail/snail_get_hit_front_left.fbx",
				getHitFrontRight = "assets/animations/monsters/snail/snail_get_hit_front_right.fbx",
				getHitBack = "assets/animations/monsters/snail/snail_get_hit_back.fbx",
				getHitLeft = "assets/animations/monsters/snail/snail_get_hit_left.fbx",
				getHitRight = "assets/animations/monsters/snail/snail_get_hit_right.fbx",
				fall = "assets/animations/monsters/snail/snail_get_hit_front_left.fbx",
			},
			currentLevelOnly = true,
		},
		{
			class = "Monster",
			meshName = "snail_mesh",
			hitSound = "snail_hit",
			dieSound = "snail_die",
			hitEffect = "hit_goo",
			capsuleHeight = 0.2,
			capsuleRadius = 0.7,
			health = 1,
			exp = 0,
			onDamage = function(self,damage,damageType) party.diagnostics._hit(damage) return false end,
			flying = true,
		},
	},
}
